Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.naming
Class InitialContextFactory.DefaultParser

    java.lang.Object
      org.mortbay.naming.InitialContextFactory.DefaultParser

All Implemented Interfaces:
  NameParser

Enclosing class:
  InitialContextFactory

    public static class InitialContextFactory.DefaultParser

extends Object
implements NameParser

Constructor Summary
`InitialContextFactory.DefaultParser()`

Method Summary
`Name` | `parse(String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InitialContextFactory.DefaultParser

    public InitialContextFactory.DefaultParser()

Method Detail

### parse

    public Name parse(String name)
               throws NamingException

  Specified by:
    `parse` in interface `NameParser`
  Throws:
    `NamingException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2008 Mort Bay Consulting. All Rights Reserved.